Skip to main content
PUT
/
custom_fields
/
{custom_field_id}
Update custom field
curl --request PUT \
  --url https://api.partoo.co/v2/custom_fields/{custom_field_id} \
  --header 'Content-Type: application/json' \
  --header 'x-APIKey: <api-key>' \
  --data '
{
  "name": "Click and collect",
  "type": "BOOLEAN",
  "description": "Whether the business offers click and collect service",
  "slug": "click-and-collect",
  "force": false,
  "section_id": 6
}
'
import requests

url = "https://api.partoo.co/v2/custom_fields/{custom_field_id}"

payload = {
"name": "Click and collect",
"type": "BOOLEAN",
"description": "Whether the business offers click and collect service",
"slug": "click-and-collect",
"force": False,
"section_id": 6
}
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Click and collect',
type: 'BOOLEAN',
description: 'Whether the business offers click and collect service',
slug: 'click-and-collect',
force: false,
section_id: 6
})
};

fetch('https://api.partoo.co/v2/custom_fields/{custom_field_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success"
}
{
"errors": {
"json": {
"businesses_count": 2,
"description": "At least one business does not respect the new constraints, please send forced_update=true to force update.",
"constraints": [
"max_len"
]
}
}
}
{
"errors": {
"authentication": "User not authenticated"
}
}
{
"errors": {
"authorization": "Operation not allowed"
}
}
{
"errors": {
"json": "Resource not found"
}
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Path Parameters

custom_field_id
integer
required

Id of the custom field

Example:

42

Query Parameters

org_id
integer

Organization ID. Only PROVIDER users can specify a different organization. If not provided, defaults to your own organization.

Body

application/json

Boolean Custom Field

name
string
required

The name of the custom field

Required string length: 1 - 50
Example:

"Click and collect"

type
string
required

BOOLEAN

Minimum string length: 1
Example:

"BOOLEAN"

description
string | null

Description of the custom field

Maximum string length: 150
Example:

"Whether the business offers click and collect service"

slug
string | null

Unique identifier slug for the custom field. Cannot contain any of the following characters: ,;/\|<>

Required string length: 1 - 100
Example:

"click-and-collect"

force
boolean
default:false

The deletion of a custom field or the update of its metadata can have impacts on custom fields which are already set for businesses.

  • If force is set to false, updates/deletions will be performed only if they are non-destructive.
    If some businesses would be impacted by the update/deletion, an exception will be returned.

  • If force is set to true, destructive modification will be performed and businesses' values will be deleted accordingly.

section_id
integer

Id of the custom field section

Example:

6

Response

OK

status
enum<string>

Request status

Available options:
success